> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference/api-reference/activity-management/retrieve-an-activity.md).

# Retrieve an Activity

This endpoint allows you to retrieve the activity for an entity.

<mark style="color:blue;">`GET`</mark> `{{baseurl}}/v2/api/activities`

#### Headers

| Name                                    | Type   | Description      |
| --------------------------------------- | ------ | ---------------- |
| token<mark style="color:red;">\*</mark> | String | API secret token |

#### Parameter

| Field     | Type   | Description                                                                                                                                                                                                                                                                            |
| --------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| entityId  | String | Entity ID to filter activities.                                                                                                                                                                                                                                                        |
| limit     | String | <p>Number of records to return</p><p>Default value: <mark style="color:$danger;"><code>10</code></mark></p>                                                                                                                                                                            |
| sortField | String | <p>Field to sort results by</p><p>Default value: <mark style="color:$danger;"><code>createdAt</code></mark></p>                                                                                                                                                                        |
| sortOrder | String | <p>Sort order</p><p>Default value: <mark style="color:$danger;"><code>desc</code></mark></p><p>Allowed values: <code>"</code><mark style="color:$danger;"><code>asc</code></mark><code>"</code>, <code>"</code><mark style="color:$danger;"><code>desc</code></mark><code>"</code></p> |
| next      | String | Cursor for fetching the next page (value of <mark style="color:$danger;">`sortField`</mark> from last item)                                                                                                                                                                            |
| prev      | String | Cursor for fetching the previous page (value of <mark style="color:$danger;">`sortField`</mark> from first item)                                                                                                                                                                       |
| type      | String | Filter by activity type                                                                                                                                                                                                                                                                |
| status    | String | Filter by activity status                                                                                                                                                                                                                                                              |
| startDate | Date   | Filter activities created after this date.                                                                                                                                                                                                                                             |
| endDate   | Date   | Filter activities created before this date.                                                                                                                                                                                                                                            |

{% tabs %}
{% tab title="Retrieve an Activity Success Response" %}

```json
{
          "success": true,
          "statusCode": 200,
          "message": "Activities successfully retrieved!",
          "data": {
              "docs": [
                  {
                      "entityId": "68b0114137593677539a1638",
                      "activity": "Identity Check",
                      "type": "bvn",
                      "reportId": "68c169c76271c8b9f0bc25c3",
                      "status": "found",
                      "createdAt": "2025-09-10T12:06:37.180Z",
                      "lastModifiedAt": "2025-09-10T12:06:37.180Z",
                      "_createdAt": "2025-09-10T12:06:3737+00:00",
                      "_lastModifiedAt": "2025-09-10T12:06:3737+00:00",
                      "id": "act_68c169cd9a12af3e53c5dc65",
                      "_id": "act_68c169cd9a12af3e53c5dc65"
                  },
                  {
                      "entityId": "68a58ea5b6028250659992e7",
                      "activity": "Identity Check",
                      "type": "bvn",
                      "reportId": "68a596ea37ff853c82517fb9",
                      "status": "found",
                      "createdAt": "2025-08-20T09:35:43.621Z",
                      "lastModifiedAt": "2025-08-20T09:35:43.621Z",
                      "_createdAt": "2025-08-20T09:35:4343+00:00",
                      "_lastModifiedAt": "2025-08-20T09:35:4343+00:00",
                      "id": "act_68a596ef9a12af3e53ba7e1c",
                      "_id": "act_68a596ef9a12af3e53ba7e1c"
                  }
              ],
              "pagination": {
                "type": "cursor",
                "perPage": 20,
                "nextPage": "2025-08-15T15:31:51.922Z",
                "prevPage": null,
                "hasNextPage": true,
                "hasPrevPage": false
            },
              "filters": {}
          },
          "links": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference/api-reference/activity-management/retrieve-an-activity.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
